Israel Class Reference
Date and time calculations » Calendars

Israel calendar. More...

`#include <ql/time/calendars/israel.hpp>`

Inheritance diagram for Israel:
[legend]

## Public Types

enum | Market { Settlement, TASE }

## Public Member Functions

| Israel (Market market=Settlement)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Israel calendar.

Due to the lack of reliable sources, the settlement calendar has the same holidays as the Tel Aviv stock-exchange.

Holidays for the Tel-Aviv Stock Exchange (data from http://www.tase.co.il):

- Friday
- Saturday

Other holidays for wich no rule is given (data available for 2013-2044 only:)

- Purim, Adar 14th (between Feb 24th & Mar 26th)
- Passover I, Nisan 15th (between Mar 26th & Apr 25th)
- Passover VII, Nisan 21st (between Apr 1st & May 1st)
- Memorial Day, Nisan 27th (between Apr 7th & May 7th)
- Indipendence Day, Iyar 5th (between Apr 15th & May 15th)
- Pentecost (Shavuot), Sivan 6th (between May 15th & June 14th)
- Fast Day
- Jewish New Year, Tishrei 1st & 2nd (between Sep 5th & Oct 5th)
- Yom Kippur, Tishrei 10th (between Sep 14th & Oct 14th)
- Sukkoth, Tishrei 15th (between Sep 19th & Oct 19th)
- Simchat Tora, Tishrei 22nd (between Sep 26th & Oct 26th)

## Member Enumeration Documentation

## Market

enum Market

Enumerator
Settlement | generic settlement calendar
TASE | Tel-Aviv stock exchange calendar.